from django.shortcuts import render, redirect
from .models import Message
from .forms import MessageForm

def message_list(request):
    if request.method == 'POST':
        form = MessageForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('mm_msg:message_list')  # 저장 후 목록으로 리다이렉트
    else:
        form = MessageForm()

    messages = Message.objects.all().order_by('send_time')  # 시간순으로 정렬
    return render(request, 
                  'mm_msg/message_list.html', 
                  {
                      'form': form, 
                      'messages': messages
                      }
                  )

def message_create(request):
    if request.method == "POST":
        title = request.POST.get('title')
        text = request.POST.get('text')
        send_time = request.POST.get('send_time')
        Message.objects.create(title=title, text=text, send_time=send_time)
        return redirect('mm_msg:message_list')  # 메시지 목록 페이지로 리다이렉트
    return render(request, 'mm_msg/message_list.html')